Subject: Re: bug#64185: proposal for new function: copy-line

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Jul 2023 12:53:23 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Sat, 1 Jul 2023 10:45:35 +0200
> Cc: [email-masked],
>  [email-masked],
>  [email-masked],
>  [email-masked]
> 
> 30 juni 2023 kl. 21.03 skrev Eli Zaretskii <[email-masked]>:
> 
> > Sorry, this is too much for emacs-29.  Please either find a simpler
> > change for Emacs 29, or install on master.
> 
> Simpler in what way, exactly?

In a way that doesn't make any significant changes in
rectangle--duplicate-right, for example.

> The bulk of the change is in tests.

That's not the part which bothers me, obviously.

> It is the exact equivalent to Juri's change to duplicate-line, but that one actually had a bigger footprint; this change only affects duplicate-dwim and nothing else.

The difference is that (a) duplicate-line was a feature which was
explicitly requested by the bug report which caused its
implementation, and (b) the changes for duplicate-line were much
simpler and easier to reason about.

> If you like, I could try splitting the change into smaller parts.

I'm not sure I understand what would that accomplish.